### Method

# Adw Dialog set_default_widget

since: 1.5

#### Declaration [src]

    void
    adw_dialog_set_default_widget (
      AdwDialog* self,
      GtkWidget* default_widget
    )

#### Description [src]

Sets the default widget for `self`.

It’s activated when the user presses Enter.

Available since: 1.5

Sets property | `Adw.Dialog:default-widget`

#### Parameters

`default_widget`

  Type: `GtkWidget`

  The default widget.

  The argument can be `NULL`.
  The data is owned by the caller of the method.